0

When start minecraft forge 1.7.2 it prints some text and an error message and then instantly closes. It shows this:

[18:56:44] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[18:56:44] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[18:56:44] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
[18:56:44] [main/INFO] [FML]: Forge Mod Loader version 7.2.211.1121 for Minecraft 1.7.2 loading
[18:56:44] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.8.0_31, running on Windows 8:x86:6.2, installed at C:\Program Files (x86)\Java\jre1.8.0_31
[18:56:44] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[18:56:44] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
[18:56:45] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[18:56:45] [main/ERROR] [LaunchWrapper]: Unable to launch
java.util.ConcurrentModificationException
    at java.util.ArrayList$Itr.checkForComodification(Unknown Source) ~[?:1.8.0_31]
    at java.util.ArrayList$Itr.remove(Unknown Source) ~[?:1.8.0_31]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:117) [launchwrapper-1.9.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release

Please tell me how to fix this ):

closed as off-topic by Fabian Röling, Frank, arghtype, greg-449, Wrigglenite Apr 19 at 6:58

  • This question does not appear to be about videogames or videogame consoles within the scope defined in the help center.
If this question can be reworded to fit the rules in the help center, please edit the question.

  • Looks like something wrong with a mod trying to load. – aytimothy Jan 23 '15 at 19:44
  • 4
    I'm voting to close this question as off-topic because it's tech support for modded Minecraft. – Fabian Röling Apr 18 at 21:50
1

This line is the clue (but to be fair you have no way to know why it's a problem):

[18:56:44] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.8.0_31, running on Windows 8:x86:6.2, installed at C:\Program Files (x86)\Java\jre1.8.0_31

Java 8 is still fairly new and it does not work properly with Minecraft yet. Downgrading to Java 7 should fix this crash. (When it was new Java 7 had the same problem with Minecraft too, but Java 7 has been fixed since then and works reliably.)

Not the answer you're looking for? Browse other questions tagged or ask your own question.